summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2018-11-19 18:36:42 +0000
committerGerrit Code Review <gerrit@opnfv.org>2018-11-19 18:36:42 +0000
commitba6c7504201c56df6f2052cdb73c800b303447a8 (patch)
tree4a6caec0c3219a8f5baa9933976f2b941648bdbb
parent9261f361c1ce51a8425f928895d7379fd42754c4 (diff)
parent70893c9b8ce4cc2306a0931733a386927a07415c (diff)
Merge "Apex: Fix OS_VERSION detection"
-rwxr-xr-xjjb/apex/apex-deploy.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/jjb/apex/apex-deploy.sh b/jjb/apex/apex-deploy.sh
index 8f7af7ff9..0e247df6c 100755
--- a/jjb/apex/apex-deploy.sh
+++ b/jjb/apex/apex-deploy.sh
@@ -151,6 +151,25 @@ if [[ "$JOB_NAME" =~ "virtual" ]]; then
else
ENV_TYPE="functest"
fi
+ if [ -z "$OS_VERSION" ]; then
+ echo "INFO: OS_VERSION not passed to deploy, detecting based on branch and scenario"
+ case $BRANCH in
+ master)
+ if [[ "$DEPLOY_SCENARIO" =~ "rocky" ]]; then
+ OS_VERSION=rocky
+ else
+ OS_VERSION=master
+ fi
+ ;;
+ *gambia)
+ OS_VERSION=queens
+ ;;
+ *)
+ echo "Unable to detection OS_VERSION, aborting"
+ exit 1
+ ;;
+ esac
+ fi
if [[ "$OS_VERSION" != "master" ]]; then
SNAP_ENV="${ENV_TYPE}-${OS_VERSION}-environment.yaml"
else